import { Options } from "./options";
import { Strategy } from "./strategy";
/**
 * Maintains a sorted Array. The running-time is bad in theory, but in
 * practice Array operations are small ... assuming there isn't much data.
 *
 * The Array is stored from last entry to first: we assume queue() will be
 * the same speed either way, but this way dequeue() is O(1) instead of O(n).
 */
export declare class ArrayStrategy implements Strategy {
    options: Options;
    constructor(options: Options);
    private data;
    get comparator(): (a: number, b: number) => number;
    queue(value: any): void;
    dequeue(): number;
    peek(): number;
    clear(): void;
    private _binarySearchForIndexReversed;
}
